SDL_strnstr(3)

NAME
SDL_strnstr - Search a string, up to n bytes, for the first instance of a specific substring.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

char * SDL_strnstr(const char *haystack, const char *needle, size_t maxlen);

DESCRIPTION
The search ends once it finds the requested substring, or a null terminator byte to end the string, or maxlen bytes have been examined. It is possible to use this function on a string without a null terminator.

Note that this looks for strings of _bytes_, not _characters_, so it's legal to search for malformed and incomplete UTF-8 sequences.

FUNCTION PARAMETERS

haystack
    the string to search. Must not be NULL.

needle
    the string to search for. Must not be NULL.

maxlen
    the maximum number of bytes to search in haystack.

RETURN VALUE
Returns a pointer to the first instance of needle in the string, or NULL if not found.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.